mem_fun()
Functors

mem_fun() Creates a functor from a pointer to a method. More...

## Classes

class | sigc::bound_const_mem_functor0< T_return, T_obj >
| bound_const_mem_functor0 encapsulates a const method with 0 arguments and an object instance. More...
class | sigc::bound_const_mem_functor1< T_return, T_obj, T_arg1 >
| bound_const_mem_functor1 encapsulates a const method with 1 arguments and an object instance. More...
class | sigc::bound_const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >
| bound_const_mem_functor2 encapsulates a const method with 2 arguments and an object instance. More...
class | sigc::bound_const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >
| bound_const_mem_functor3 encapsulates a const method with 3 arguments and an object instance. More...
class | sigc::bound_const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >
| bound_const_mem_functor4 encapsulates a const method with 4 arguments and an object instance. More...
class | sigc::bound_const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >
| bound_const_mem_functor5 encapsulates a const method with 5 arguments and an object instance. More...
class | sigc::bound_const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >
| bound_const_mem_functor6 encapsulates a const method with 6 arguments and an object instance. More...
class | sigc::bound_const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >
| bound_const_mem_functor7 encapsulates a const method with 7 arguments and an object instance. More...
class | sigc::bound_const_volatile_mem_functor0< T_return, T_obj >
| bound_const_volatile_mem_functor0 encapsulates a const volatile method with 0 arguments and an object instance. More...
class | sigc::bound_const_volatile_mem_functor1< T_return, T_obj, T_arg1 >
| bound_const_volatile_mem_functor1 encapsulates a const volatile method with 1 arguments and an object instance. More...
class | sigc::bound_const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >
| bound_const_volatile_mem_functor2 encapsulates a const volatile method with 2 arguments and an object instance. More...
class | sigc::bound_const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >
| bound_const_volatile_mem_functor3 encapsulates a const volatile method with 3 arguments and an object instance. More...
class | sigc::bound_const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >
| bound_const_volatile_mem_functor4 encapsulates a const volatile method with 4 arguments and an object instance. More...
class | sigc::bound_const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >
| bound_const_volatile_mem_functor5 encapsulates a const volatile method with 5 arguments and an object instance. More...
class | sigc::bound_const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >
| bound_const_volatile_mem_functor6 encapsulates a const volatile method with 6 arguments and an object instance. More...
class | sigc::bound_const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >
| bound_const_volatile_mem_functor7 encapsulates a const volatile method with 7 arguments and an object instance. More...
class | sigc::bound_mem_functor0< T_return, T_obj >
| bound_mem_functor0 encapsulates a method with 0 arguments and an object instance. More...
class | sigc::bound_mem_functor1< T_return, T_obj, T_arg1 >
| bound_mem_functor1 encapsulates a method with 1 arguments and an object instance. More...
class | sigc::bound_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >
| bound_mem_functor2 encapsulates a method with 2 arguments and an object instance. More...
class | sigc::bound_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >
| bound_mem_functor3 encapsulates a method with 3 arguments and an object instance. More...
class | sigc::bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >
| bound_mem_functor4 encapsulates a method with 4 arguments and an object instance. More...
class | sigc::bound_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >
| bound_mem_functor5 encapsulates a method with 5 arguments and an object instance. More...
class | sigc::bound_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >
| bound_mem_functor6 encapsulates a method with 6 arguments and an object instance. More...
class | sigc::bound_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >
| bound_mem_functor7 encapsulates a method with 7 arguments and an object instance. More...
class | sigc::bound_volatile_mem_functor0< T_return, T_obj >
| bound_volatile_mem_functor0 encapsulates a volatile method with 0 arguments and an object instance. More...
class | sigc::bound_volatile_mem_functor1< T_return, T_obj, T_arg1 >
| bound_volatile_mem_functor1 encapsulates a volatile method with 1 arguments and an object instance. More...
class | sigc::bound_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >
| bound_volatile_mem_functor2 encapsulates a volatile method with 2 arguments and an object instance. More...
class | sigc::bound_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >
| bound_volatile_mem_functor3 encapsulates a volatile method with 3 arguments and an object instance. More...
class | sigc::bound_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >
| bound_volatile_mem_functor4 encapsulates a volatile method with 4 arguments and an object instance. More...
class | sigc::bound_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >
| bound_volatile_mem_functor5 encapsulates a volatile method with 5 arguments and an object instance. More...
class | sigc::bound_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >
| bound_volatile_mem_functor6 encapsulates a volatile method with 6 arguments and an object instance. More...
class | sigc::bound_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >
| bound_volatile_mem_functor7 encapsulates a volatile method with 7 arguments and an object instance. More...
class | sigc::const_mem_functor0< T_return, T_obj >
| const_mem_functor0 wraps const methods with 0 argument(s). More...
class | sigc::const_mem_functor1< T_return, T_obj, T_arg1 >
| const_mem_functor1 wraps const methods with 1 argument(s). More...
class | sigc::const_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >
| const_mem_functor2 wraps const methods with 2 argument(s). More...
class | sigc::const_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >
| const_mem_functor3 wraps const methods with 3 argument(s). More...
class | sigc::const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >
| const_mem_functor4 wraps const methods with 4 argument(s). More...
class | sigc::const_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >
| const_mem_functor5 wraps const methods with 5 argument(s). More...
class | sigc::const_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >
| const_mem_functor6 wraps const methods with 6 argument(s). More...
class | sigc::const_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >
| const_mem_functor7 wraps const methods with 7 argument(s). More...
class | sigc::const_volatile_mem_functor0< T_return, T_obj >
| const_volatile_mem_functor0 wraps const volatile methods with 0 argument(s). More...
class | sigc::const_volatile_mem_functor1< T_return, T_obj, T_arg1 >
| const_volatile_mem_functor1 wraps const volatile methods with 1 argument(s). More...
class | sigc::const_volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >
| const_volatile_mem_functor2 wraps const volatile methods with 2 argument(s). More...
class | sigc::const_volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >
| const_volatile_mem_functor3 wraps const volatile methods with 3 argument(s). More...
class | sigc::const_volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >
| const_volatile_mem_functor4 wraps const volatile methods with 4 argument(s). More...
class | sigc::const_volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >
| const_volatile_mem_functor5 wraps const volatile methods with 5 argument(s). More...
class | sigc::const_volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >
| const_volatile_mem_functor6 wraps const volatile methods with 6 argument(s). More...
class | sigc::const_volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >
| const_volatile_mem_functor7 wraps const volatile methods with 7 argument(s). More...
class | sigc::mem_functor0< T_return, T_obj >
| mem_functor0 wraps methods with 0 argument(s). More...
class | sigc::mem_functor1< T_return, T_obj, T_arg1 >
| mem_functor1 wraps methods with 1 argument(s). More...
class | sigc::mem_functor2< T_return, T_obj, T_arg1, T_arg2 >
| mem_functor2 wraps methods with 2 argument(s). More...
class | sigc::mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >
| mem_functor3 wraps methods with 3 argument(s). More...
class | sigc::mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >
| mem_functor4 wraps methods with 4 argument(s). More...
class | sigc::mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >
| mem_functor5 wraps methods with 5 argument(s). More...
class | sigc::mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >
| mem_functor6 wraps methods with 6 argument(s). More...
class | sigc::mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >
| mem_functor7 wraps methods with 7 argument(s). More...
class | sigc::volatile_mem_functor0< T_return, T_obj >
| volatile_mem_functor0 wraps volatile methods with 0 argument(s). More...
class | sigc::volatile_mem_functor1< T_return, T_obj, T_arg1 >
| volatile_mem_functor1 wraps volatile methods with 1 argument(s). More...
class | sigc::volatile_mem_functor2< T_return, T_obj, T_arg1, T_arg2 >
| volatile_mem_functor2 wraps volatile methods with 2 argument(s). More...
class | sigc::volatile_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 >
| volatile_mem_functor3 wraps volatile methods with 3 argument(s). More...
class | sigc::volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >
| volatile_mem_functor4 wraps volatile methods with 4 argument(s). More...
class | sigc::volatile_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >
| volatile_mem_functor5 wraps volatile methods with 5 argument(s). More...
class | sigc::volatile_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >
| volatile_mem_functor6 wraps volatile methods with 6 argument(s). More...
class | sigc::volatile_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >
| volatile_mem_functor7 wraps volatile methods with 7 argument(s). More...

## Functions

template<class T_return , class T_obj >
mem_functor0< T_return, T_obj > | sigc::mem_fun (T_return(T_obj::* _A_func)())
| Creates a functor of type sigc::mem_functor0 which wraps a method. More...
template<class T_arg1 , class T_return , class T_obj >
mem_functor1< T_return, T_obj, T_arg1 > | sigc::mem_fun (T_return(T_obj::* _A_func)(T_arg1))
| Creates a functor of type sigc::mem_functor1 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj >
mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | sigc::mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type sigc::mem_functor2 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >
mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | sigc::mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type sigc::mem_functor3 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >
mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | sigc::mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type sigc::mem_functor4 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >
mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | sigc::mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type sigc::mem_functor5 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >
mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | sigc::mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type sigc::mem_functor6 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >
mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::mem_fun (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type sigc::mem_functor7 which wraps a method. More...
template<class T_return , class T_obj , class T_obj2 >
bound_mem_functor0< T_return, T_obj > | sigc::mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)())
| Creates a functor of type sigc::bound_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_mem_functor0< T_return, T_obj > | sigc::mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)())
| Creates a functor of type sigc::bound_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor1< T_return, T_obj, T_arg1 > | sigc::mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1))
| Creates a functor of type sigc::bound_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor1< T_return, T_obj, T_arg1 > | sigc::mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1))
| Creates a functor of type sigc::bound_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | sigc::mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type sigc::bound_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | sigc::mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type sigc::bound_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | sigc::mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type sigc::bound_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | sigc::mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type sigc::bound_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | sigc::mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type sigc::bound_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | sigc::mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type sigc::bound_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | sigc::mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type sigc::bound_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | sigc::mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type sigc::bound_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | sigc::mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type sigc::bound_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | sigc::mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type sigc::bound_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::mem_fun (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type sigc::bound_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::mem_fun (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type sigc::bound_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj >
mem_functor0< T_return, T_obj > | sigc::mem_fun0 (T_return(T_obj::* _A_func)())
| Creates a functor of type sigc::mem_functor0 which wraps a method. More...
template<class T_return , class T_obj , class T_obj2 >
bound_mem_functor0< T_return, T_obj > | sigc::mem_fun0 (T_obj* _A_obj, T_return(T_obj2::* _A_func)())
| Creates a functor of type sigc::bound_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_return , class T_obj , class T_obj2 >
bound_mem_functor0< T_return, T_obj > | sigc::mem_fun0 (T_obj& _A_obj, T_return(T_obj2::* _A_func)())
| Creates a functor of type sigc::bound_mem_functor0 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj >
mem_functor1< T_return, T_obj, T_arg1 > | sigc::mem_fun1 (T_return(T_obj::* _A_func)(T_arg1))
| Creates a functor of type sigc::mem_functor1 which wraps a method. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor1< T_return, T_obj, T_arg1 > | sigc::mem_fun1 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1))
| Creates a functor of type sigc::bound_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor1< T_return, T_obj, T_arg1 > | sigc::mem_fun1 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1))
| Creates a functor of type sigc::bound_mem_functor1 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj >
mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | sigc::mem_fun2 (T_return(T_obj::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type sigc::mem_functor2 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | sigc::mem_fun2 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type sigc::bound_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor2< T_return, T_obj, T_arg1, T_arg2 > | sigc::mem_fun2 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2))
| Creates a functor of type sigc::bound_mem_functor2 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >
mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | sigc::mem_fun3 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type sigc::mem_functor3 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | sigc::mem_fun3 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type sigc::bound_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor3< T_return, T_obj, T_arg1, T_arg2, T_arg3 > | sigc::mem_fun3 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3))
| Creates a functor of type sigc::bound_mem_functor3 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >
mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | sigc::mem_fun4 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type sigc::mem_functor4 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | sigc::mem_fun4 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type sigc::bound_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > | sigc::mem_fun4 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4))
| Creates a functor of type sigc::bound_mem_functor4 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >
mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | sigc::mem_fun5 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type sigc::mem_functor5 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | sigc::mem_fun5 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type sigc::bound_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor5< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > | sigc::mem_fun5 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5))
| Creates a functor of type sigc::bound_mem_functor5 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >
mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | sigc::mem_fun6 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type sigc::mem_functor6 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | sigc::mem_fun6 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type sigc::bound_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor6< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > | sigc::mem_fun6 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6))
| Creates a functor of type sigc::bound_mem_functor6 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >
mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::mem_fun7 (T_return(T_obj::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type sigc::mem_functor7 which wraps a method. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::mem_fun7 (T_obj* _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type sigc::bound_mem_functor7 which encapsulates a method and an object instance. More...
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >
bound_mem_functor7< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > | sigc::mem_fun7 (T_obj& _A_obj, T_return(T_obj2::* _A_func)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7))
| Creates a functor of type sigc::bound_mem_functor7 which encapsulates a method and an object instance. More...

## Detailed Description

mem_fun() Creates a functor from a pointer to a method.

Optionally, a reference or pointer to an object can be bound to the functor.

Note
  If the object type inherits from sigc::trackable, and the functor returned from mem_fun() is assigned to a sigc::slot, the functor will be automatically cleared when the object goes out of scope. Invoking that slot will then have no effect and will not try to use the destroyed instance.

If the member function pointer is to an overloaded type, you must specify the types using template arguments starting with the first argument. It is not necessary to supply the return type.

Example:
  struct foo : public sigc::trackable
  {
  void bar(int) {}
  };
  foo my_foo;
  sigc::slot<void, int> sl = sigc::mem_fun(my_foo, &foo::bar);
  // Note: f is not a slot. It will not be invalidated when my_foo is deleted.
  auto f = sigc::mem_fun(my_foo, &foo::bar); // Usually not what you want.

For const methods mem_fun() takes a const reference or pointer to an object.

Example:
  struct foo : public sigc::trackable
  {
  void bar(int) const {}
  };
  const foo my_foo;
  sigc::slot<void, int> sl = sigc::mem_fun(my_foo, &foo::bar);

Use mem_fun#() if there is an ambiguity as to the number of arguments.

Example:
  struct foo : public sigc::trackable
  {
  void bar(int) {}
  void bar(float) {}
  void bar(int, int) {}
  };
  foo my_foo;
  sigc::slot<void, int> sl = sigc::mem_fun1<int>(my_foo, &foo::bar);

## Function Documentation

template <class T_return , class T_obj >

mem_functor0<T_return, T_obj> sigc::mem_fun | ( | T_return(T_obj::*)() | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor0 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj >

mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1) | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor1 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj >

mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2) | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor2 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >

mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3) | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor3 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >

mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4) | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor4 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >

mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor5 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >

mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor6 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >

mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor7 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_mem_functor0<T_return, T_obj> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)() | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor0 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_mem_functor0<T_return, T_obj> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)() | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor0 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor1 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor1 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor2 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor2 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor3 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor3 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor4 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor4 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor5 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor5 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor6 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor6 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor7 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor7 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj >

mem_functor0<T_return, T_obj> sigc::mem_fun0 | ( | T_return(T_obj::*)() | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor0 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_mem_functor0<T_return, T_obj> sigc::mem_fun0 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)() | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor0 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_return , class T_obj , class T_obj2 >

bound_mem_functor0<T_return, T_obj> sigc::mem_fun0 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)() | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor0 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj >

mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun1 | ( | T_return(T_obj::*)(T_arg1) | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor1 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun1 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor1 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor1<T_return, T_obj, T_arg1> sigc::mem_fun1 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor1 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj >

mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun2 | ( | T_return(T_obj::*)(T_arg1, T_arg2) | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor2 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun2 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor2 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor2<T_return, T_obj, T_arg1, T_arg2> sigc::mem_fun2 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor2 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj >

mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun3 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3) | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor3 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun3 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor3 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor3<T_return, T_obj, T_arg1, T_arg2, T_arg3> sigc::mem_fun3 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor3 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj >

mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun4 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4) | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor4 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun4 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor4 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4> sigc::mem_fun4 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor4 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj >

mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun5 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor5 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun5 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor5 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor5<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> sigc::mem_fun5 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor5 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj >

mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun6 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor6 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun6 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor6 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor6<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6> sigc::mem_fun6 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor6 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj >

mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun7 | ( | T_return(T_obj::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) | _A_func | ) |

inline

Creates a functor of type sigc::mem_functor7 which wraps a method.

Parameters

  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun7 | ( | T_obj * | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor7 which encapsulates a method and an object instance.

Deprecated:
  Please use the version that takes the object by reference instead.

Parameters

  _A_obj | Pointer to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 , class T_return , class T_obj , class T_obj2 >

bound_mem_functor7<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7> sigc::mem_fun7 | ( | T_obj & | _A_obj,
|  | T_return(T_obj2::*)(T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7) | _A_func
| ) |  |

inline

Creates a functor of type sigc::bound_mem_functor7 which encapsulates a method and an object instance.

Parameters

  _A_obj | Reference to object instance the functor should operate on.
  _A_func | Pointer to method that should be wrapped.

Returns
  Functor that executes _A_func on invokation.